Summary:	A modular geoinformation service
Summary(pl.UTF-8):	Modularna usługa geoinformacyjna
Name:		geoclue2
Version:	2.1.9
Release:	1
License:	GPL v2+
Group:		Applications
Source0:	http://www.freedesktop.org/software/geoclue/releases/2.1/geoclue-%{version}.tar.xz
# Source0-md5:	87f91ca7db6cc7726067fcd7bc3cf9bb
URL:		http://geoclue.freedesktop.org/
BuildRequires:	ModemManager-devel >= 1.0.0
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.11
BuildRequires:	glib2-devel >= 1:2.34.0
BuildRequires:	gnome-common
BuildRequires:	gtk-doc >= 1.0
BuildRequires:	intltool >= 0.40.0
BuildRequires:	json-glib-devel >= 0.14
BuildRequires:	libnotify-devel
BuildRequires:	libsoup-devel >= 2.4.0
BuildRequires:	libtool >= 2:2.2
BuildRequires:	pkgconfig >= 1:0.22
BuildRequires:	yelp-tools
Requires:	dbus
Requires:	glib2 >= 1:2.34.0
Requires:	json-glib >= 0.14
Requires:	libsoup >= 2.4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Geoclue is a modular geoinformation service built on top of the D-Bus
messaging system. The goal of the Geoclue project is to make creating
location-aware applications as simple as possible.

%description -l pl.UTF-8
Geoclue to modularna usługa geoinformacyjna zbudowana w oparciu o
system komunikacji D-Bus. Celem projektu jest jak największe
ułatwienie tworzenia aplikacji uwzględniających lokalizację.

%package devel
Summary:	Development package for geoclue2
Summary(pl.UTF-8):	Pakiet programistyczny geoclue2
Group:		Development/Libraries
# doesn't require base
Requires:	glib2-devel >= 1:2.34.0
Requires:	json-glib-devel >= 0.14
Requires:	libsoup-devel >= 2.4.0

%description devel
Header files for development with geoclue2.

%description devel -l pl.UTF-8
Pliki nagłówkowe do programowania z użyciem geoclue2.

%prep
%setup -q -n geoclue-%{version}

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-demo-agent \
	--disable-silent-rules

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc NEWS README
%attr(755,root,root) %{_libexecdir}/geoclue
%dir %{_sysconfdir}/geoclue
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/geoclue/geoclue.conf
%{systemdunitdir}/geoclue.service
/etc/dbus-1/system.d/org.freedesktop.GeoClue2.conf
/etc/dbus-1/system.d/org.freedesktop.GeoClue2.Agent.conf
%{_datadir}/dbus-1/system-services/org.freedesktop.GeoClue2.service
# demos
%dir %{_libexecdir}/geoclue-2.0
%dir %{_libexecdir}/geoclue-2.0/demos
%attr(755,root,root) %{_libexecdir}/geoclue-2.0/demos/agent
%attr(755,root,root) %{_libexecdir}/geoclue-2.0/demos/where-am-i
%{_desktopdir}/geoclue-demo-agent.desktop
%{_desktopdir}/geoclue-where-am-i.desktop

%files devel
%defattr(644,root,root,755)
%{_pkgconfigdir}/geoclue-2.0.pc
%{_datadir}/dbus-1/interfaces/org.freedesktop.GeoClue2.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.GeoClue2.Agent.xml
%changelog
* Sun Jul 13 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/geoclue2.git;a=log;h=master

* Thu Jun 19 2014 Jakub Bogusz <qboosh@pld-linux.org> 4a5ff16
- updated to 2.1.9

* Fri Apr 18 2014 Jakub Bogusz <qboosh@pld-linux.org> 99c3d28
- updated to 2.1.8; now uses Mozilla geolocalization service instead of GeoIP

* Thu Mar 27 2014 Jakub Bogusz <qboosh@pld-linux.org> fdf25fe
- updated to 2.1.7

* Wed Oct 02 2013 Jakub Bogusz <qboosh@pld-linux.org> 6f5da4b
- moved dbus interface file to -devel
- release 2

* Sat Sep 28 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 4f34e5d
- Update to 2.0.0

* Fri Aug 30 2013 Jakub Bogusz <qboosh@pld-linux.org> 8137cb8
- Source0 from distfiles to workaround cgit

* Fri Aug 30 2013 Jakub Bogusz <qboosh@pld-linux.org> e7373d8
- geoclue2 under new name

* Sat Jul 20 2013 Jan Rękorajski <baggins@pld-linux.org> 2c98217
- release 2 (by relup.sh)

* Thu Apr 11 2013 Marcin Krol <hawk@tld-linux.org> 29acf44
- update to 0.12.99

* Thu Apr 11 2013 Marcin Krol <hawk@tld-linux.org> c8b4359
- obsolete, fixed upstream

* Sat Jan 28 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 58b5251
- rel 11; disable gpsd for now (doesn't build)

* Tue Dec 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 0eaca55
- release 10

* Sat Oct 22 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> c960585
- release 9

* Tue Sep 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> fa24530
- release 8

* Thu Sep 15 2011 lisu <lisu@pld-linux.org> 61297a0
- rel 7

* Mon Jun 13 2011 lisu <lisu@pld-linux.org> 279cf36
- rel 6

* Mon May 23 2011 lisu <lisu@pld-linux.org> 006487a
- fixed patch headers

* Thu Apr 07 2011 Marcin Banasiak <marcin.banasiak@gmail.com> e4c1229
- added support for NM 0.9
- release 5

* Wed Apr 06 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 4639f03
- removed libtool file
- release 4

* Sun Jan 16 2011 Jakub Bogusz <qboosh@pld-linux.org> 56780d4
- added libsoup patch (libsoup-gnome part is not needed; kill gpsd copy/pastos from skyhook provider)
- separated -libs
- pl
- more complete deps

